<template>
  <div class="text-center lg:max-w-308px w-full">
    <div
      class="
        bg-blue-400
        text-tiny text-white
        py-2px
        px-33px
        rounded-8px
        mb-16px
      "
      :class="{ 'bg-red-400': is_highlight }"
    >
      {{ promotion_name }}
    </div>

    <div class="px-16px rounded-8px bg-white pt-9px pb-16px">
      <div class="pb-9px font-600">{{ package_name }}</div>
      <hr class="text-black-50" />
      <div class="pt-26px pb-16px flex justify-evenly">
        <div v-if="discount">
          <div class="text-tiny font-600">Discount</div>
          <div class="text-xl font-700 text-blue-500">{{ discount }}%</div>
        </div>

        <div>
          <div class="text-tiny font-600">Price</div>
          <div class="text-xl font-700 text-green-600">
            <template v-if="discount">
              {{ (original_price * (discount / 100)).toLocaleString() }}
            </template>
            <template v-else>{{ original_price.toLocaleString() }}</template>
          </div>
          <div v-if="discount" class="text-xs line-through">
            {{ original_price.toLocaleString() }}
          </div>
        </div>
      </div>

      <div class="text-xs">
        Promotion Expire:
        {{ expired_date ? expired_date_moment : "Non stop" }}
      </div>
    </div>
  </div>
</template>

<script>
import momemt from "moment"

export default {
  props: {
    promotion_name: {
      type: String,
      default: "",
    },
    is_highlight: {
      type: Boolean,
      default: false,
    },
    package_name: {
      type: String,
      default: "",
    },
    discount: {
      type: Number,
    },
    original_price: {
      type: Number,
      default: 0,
    },
    expired_date: {
      type: Date,
    },
  },
  computed: {
    expired_date_moment() {
      return momemt(this.expired_date).format("MMM D")
    },
  },
}
</script>

<style lang="scss" scoped></style>
